kdevelop4 cannot work in debian9

Need help with C, C++, perl, python, etc?

kdevelop4 cannot work in debian9

Postby ztdep » 2017-08-19 14:36

Dear friends:
I just installed kdevelop4 and gnu6.3 and cmake in my debian 9.
but kde gives me the following error when my compiled my program.
how to resolve this problem.
Regards




-- The C compiler identification is GNU 6.3.0
-- The CXX compiler identification is GNU 6.3.0
-- Check for working C compiler: /usr/bin/cc
CMake Error: Generator: execution of make failed. Make command was: "/usr/bin/gmake" "cmTC_b6b1e/fast"
-- Check for working C compiler: /usr/bin/cc -- broken
CMake Error at /usr/share/cmake-3.7/Modules/CMakeTestCCompiler.cmake:51 (message):
The C compiler "/usr/bin/cc" is not able to compile a simple test program.
ztdep
 
Posts: 4
Joined: 2015-03-15 04:39

Re: kdevelop4 cannot work in debian9

Postby stevepusser » 2017-08-19 16:20

gmake is "gnu make", and is distinct from cmake. Installing the build-essential package installs the standard set of GNU build tools. However, cmake has gcc and make as recommended packages, so should have pulled them in, unless you installed cmake without recommended packages.

Edit: I don't see kdevelop4 in the Debian repository. I see a kdevelop that's at version 5, though. This begs the question of how you installed your version, and if you're trying to develop for KDE 4 or 5. And what you mean by "gnu6.3", when Debian has gcc-6 6.3 already in the repos.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: AzPainter 2.1.0, Pale Moon 27.4.2, Liquorix kernel 4.12-8, mpv 0.27.0, Kodi 17.3, 0ad 0.0.22, Mesa 13.0.6
User avatar
stevepusser
 
Posts: 8714
Joined: 2009-10-06 05:53


Return to Programming

Who is online

Users browsing this forum: No registered users and 3 guests

fashionable